%define inst_prefix usr

Summary: Tool for creating Japanese VF font
Name: makejvf 
Version: 1.0
Release: 4
Source0: ftp://ftp.media.kyoto-u.ac.jp/pub/TeX/ASCII-pTeX/jvf/makejvf-1.0.tar.gz
Source1: ftp://ftp.media.kyoto-u.ac.jp/pub/TeX/ASCII-pTeX/jvf/jis.tar.gz
Source2: ftp://ftp.media.kyoto-u.ac.jp/pub/TeX/ASCII-pTeX/jvf/morisawa.tar.gz
Source3: ftp://ftp.media.kyoto-u.ac.jp/pub/TeX/ASCII-pTeX/jvf/nmin-ngoth.tar.gz
Copyright: Copyright (C) 1999, ASCII Corporation
Group: Applications/Publishing
BuildRoot: /var/tmp/root-makejvf
#Distribution: Japanese RPM (JRPM)
#Vendor: Linux Japanese RPM Project
#Packager: Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>
BuildArchitectures: noarch
Summary(ja): ܸVFġ
#NoSource: 0 1 2 3 

%description
makejvf is a tool for creating VF files that required when you use dvips japanized by ASCII Corporation.

%description -l ja
makejvf ()ܸ첽줿 dvips ѤݤɬפVFե뤿ΥġǤ

#%package -n jvf-jis
#Summary(ja): jisեȥå
#Group: Applications/Publishing
#Provides: jvf

#%description -n jvf-jis -l ja
#pTeX  dvips  jis.tfm, jisg.tfm Ѥ뤿ΥåȤǤ
#ޤޤVF makejvf ˤ줿ΤǤ

#%package -n jvf-morisawa
#Summary(ja): ꥵ5Υå
#Group: Applications/Publishing
#Provides: jvf

#%description -n  jvf-morisawa -l ja
#pTeX  dvips ǥꥵ5(奦ߥ-L楴åBBBߥ101)Ѥ뤿ΥåȤǤ
#ޤޤVF makejvf ˤ줿ΤǤ
#tfm/ptex ǥ쥯ȥˤϥե `-H.tfm'`-J.tfm'`-V.tfm' 3TFMäƤޤ
#
#    `-H.tfm'  min10.tfm ƱTFMѡ
#    `-J.tfm'  jis.tfm ƱTFMѡ 
#    `-V.tfm'  tmin10.tfm ƱTFMĽѡ 

#%package -n jvf-nmin-ngoth
#Summary(ja): nmin-ngothեȥå
#Group: Applications/Publishing
#Provides: jvf

#%description -n jvf-nmin-ngoth -l ja
#pTeX  dvips  nmin, ngoth Ѥ뤿ΥåȤǤ
#ޤޤVF makejvf ˤ줿ΤǤ

%package -n jvf-standard
Summary(ja): pTeXʸեȥå
Group: Applications/Publishing
Provides: jvf vftool
Obsoletes: vf vftool

%description -n jvf-standard -l ja
pTeXʸΤ dvips ǻѤ뤿ΥåȤǤ
ޤޤVF makejvf ˤ줿ΤǤ

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{inst_prefix}/src/makejvf-1.0
mkdir -p ${RPM_BUILD_ROOT}/%{inst_prefix}/share/texmf/fonts/tfm/ptex
mkdir -p ${RPM_BUILD_ROOT}/%{inst_prefix}/share/texmf/fonts/tfm/dvips
mkdir -p ${RPM_BUILD_ROOT}/%{inst_prefix}/share/texmf/fonts/vf/ptex

%setup -q
#%setup -q -T -D -a 1
#%setup -q -T -D -a 2
#%setup -q -T -D -a 3

%build
make 

mkdir standard
cd  standard
TFMFONTS=/usr/share/texmf/fonts/tfm/ptex
for i in 5 6 7 8 9 10 ; do
	../makejvf $TFMFONTS/min$i.tfm rml.tfm 
	../makejvf $TFMFONTS/tmin$i.tfm rmlv.tfm 
	../makejvf $TFMFONTS/goth$i.tfm gbm.tfm 
	../makejvf $TFMFONTS/tgoth$i.tfm gbmv.tfm 
done

%install
cd standard
install -m 644 {rml,gbm}*.tfm ${RPM_BUILD_ROOT}/%{inst_prefix}/share/texmf/fonts/tfm/dvips
install -m 644 *.vf ${RPM_BUILD_ROOT}/%{inst_prefix}/share/texmf/fonts/vf/ptex

cd ../ 
make clean
install -m 644 Makefile README.txt *.c ${RPM_BUILD_ROOT}/%{inst_prefix}/src/makejvf-1.0

#%post -n jvf-jis -p /usr/bin/mktexlsr
#%post -n jvf-morisawa -p /usr/bin/mktexlsr
#%post -n jvf-nmin-ngoth -p /usr/bin/mktexlsr
%post -n jvf-standard -p /usr/bin/mktexlsr

#%postun -n jvf-jis -p /usr/bin/mktexlsr
#%postun -n jvf-morisawa -p /usr/bin/mktexlsr
#%postun -n jvf-nmin-ngoth -p /usr/bin/mktexlsr
%postun -n jvf-standard -p /usr/bin/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{inst_prefix}/src/makejvf-1.0/*

#%files -n jvf-jis
#%defattr(-,root,root)
#%doc jis/README.txt jis/jis.map

#%files -n jvf-morisawa
#%defattr(-,root,root)
#%doc morisawa/README.txt morisawa/morisawa.map

#%files -n jvf-nmin-ngoth
#%defattr(-,root,root)
#%doc nmin-ngoth/README.txt nmin-ngoth/nmin-ngoth.map

%files -n jvf-standard
%defattr(-,root,root)
/%{inst_prefix}/share/texmf/fonts/tfm/dvips/rml.tfm
/%{inst_prefix}/share/texmf/fonts/tfm/dvips/rmlv.tfm
/%{inst_prefix}/share/texmf/fonts/tfm/dvips/gbm.tfm
/%{inst_prefix}/share/texmf/fonts/tfm/dvips/gbmv.tfm
/%{inst_prefix}/share/texmf/fonts/vf/ptex/goth10.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/goth5.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/goth6.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/goth7.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/goth8.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/goth9.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/min10.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/min5.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/min6.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/min7.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/min8.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/min9.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tgoth10.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tgoth5.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tgoth6.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tgoth7.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tgoth8.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tgoth9.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tmin10.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tmin5.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tmin6.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tmin7.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tmin8.vf
/%{inst_prefix}/share/texmf/fonts/vf/ptex/tmin9.vf

%changelog 
* Thu Jan 06 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- changed Group: Applications/Publishing/TeX -> Applications/Publishing

* Mon Aug 30 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386

* Wed Aug 25 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3jrpm
- added %defattr(-,root,root)

* Tue Aug 3 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2jrpm
- auto rebuild for JRPM60

* Thu Jul 13 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 1jrpm
